Subject: Re: bug#16184: 24.3.50; edebug and eval-when-compiler don't work together

From: Katsumi Yamaoka <[email-masked]>
Date: Thu, 26 Dec 2013 07:37:08 +0900

Katsumi Yamaoka wrote:
> Anders Lindgren wrote:
>> It seems to have solved one problem, but created another. When using
>> C-u C-M-x, everything works ok. However, the normal C-M-x command
>> issues the error "Too deep - perhaps infinite loop in spec?" When
>> enabling debug-on-error, it looks like a very deep call stack (754
>> entries). Curiously, it works if I mark the function with the region
>> and do "eval-region", it works properly.

> Sorry for the delay.  But
> I'm unable to reproduce such an infloop-like error so far.
> Could you show the name or the definition of the function
> causing it?

I've committed my patch since I think it's better at least than
not working.  Please reopen the bug if you get a reproducible error.